API referenceTickets
Ticket Action
POST
/api/v1/servers/{guild}/tickets/{number}/{action}Authorization
session invarn_session<token>
In: cookie
Path Parameters
guild*string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$number*integer
Format
int32action*string
Value in
- "claim"
- "close"
- "reopen"
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/servers/string/tickets/0/claim" \ -H "Content-Type: application/json" \ -d '{}'{ "thread": "string", "guild": "string", "number": 0, "type": "string", "typeName": "string", "opener": "string", "openerName": "string", "status": "open", "claimedBy": "string", "claimedName": "string", "closedBy": "string", "closeReason": "string", "createdAt": "2019-08-24T14:15:22Z", "closedAt": "2019-08-24T14:15:22Z"}